org.wildfly.swarm.config.messaging.activemq.server

## Class BroadcastGroup<T extends BroadcastGroup<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.messaging.activemq.server.BroadcastGroup<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class BroadcastGroup<T extends BroadcastGroup<T>>
      extends HashMap

  A broadcast group is the means by which a server broadcasts connectors over the network.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BroadcastGroup(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Long` | `broadcastPeriod()` The period in milliseconds between consecutive broadcasts.
    `T` | `broadcastPeriod(Long value)` The period in milliseconds between consecutive broadcasts.
    `T` | `connector(String value)` Specifies the names of connectors that will be broadcast.
    `List<String>` | `connectors()` Specifies the names of connectors that will be broadcast.
    `T` | `connectors(List<String> value)` Specifies the names of connectors that will be broadcast.
    `T` | `connectors(String... args)` Specifies the names of connectors that will be broadcast.
    `String` | `getKey()`
    `String` | `jgroupsChannel()` The name used by a JGroups channel to join a cluster.
    `T` | `jgroupsChannel(String value)` The name used by a JGroups channel to join a cluster.
    `String` | `jgroupsStack()` The name of a stack defined in the org.jboss.as.clustering.jgroups subsystem that is used to form a cluster.
    `T` | `jgroupsStack(String value)` The name of a stack defined in the org.jboss.as.clustering.jgroups subsystem that is used to form a cluster.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `socketBinding()` The broadcast group socket binding.
    `T` | `socketBinding(String value)` The broadcast group socket binding.
    `Boolean` | `started()` Whether the broadcast group is started.
    `T` | `started(Boolean value)` Whether the broadcast group is started.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### BroadcastGroup

          public BroadcastGroup(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### broadcastPeriod

          public Long broadcastPeriod()

      The period in milliseconds between consecutive broadcasts.

    - #### broadcastPeriod

          public T broadcastPeriod(Long value)

      The period in milliseconds between consecutive broadcasts.

    - #### connectors

          public List<String> connectors()

      Specifies the names of connectors that will be broadcast.

    - #### connectors

          public T connectors(List<String> value)

      Specifies the names of connectors that will be broadcast.

    - #### connector

          public T connector(String value)

      Specifies the names of connectors that will be broadcast.

    - #### connectors

          public T connectors(String... args)

      Specifies the names of connectors that will be broadcast.

    - #### jgroupsChannel

          public String jgroupsChannel()

      The name used by a JGroups channel to join a cluster.

    - #### jgroupsChannel

          public T jgroupsChannel(String value)

      The name used by a JGroups channel to join a cluster.

    - #### jgroupsStack

          public String jgroupsStack()

      The name of a stack defined in the org.jboss.as.clustering.jgroups subsystem that is used to form a cluster.

    - #### jgroupsStack

          public T jgroupsStack(String value)

      The name of a stack defined in the org.jboss.as.clustering.jgroups subsystem that is used to form a cluster.

    - #### socketBinding

          public String socketBinding()

      The broadcast group socket binding.

    - #### socketBinding

          public T socketBinding(String value)

      The broadcast group socket binding.

    - #### started

          public Boolean started()

      Whether the broadcast group is started.

    - #### started

          public T started(Boolean value)

      Whether the broadcast group is started.

Copyright © 2018 JBoss by Red Hat. All rights reserved.